## zbar zbar — Detect bar codes in the video streams |

## Synopsis

                        GstZBar;

## Properties

      "message"                  gboolean              : Read / Write

## Description

Detect bar codes in the video streams and send them as element messages to the GstBus if ."message" property is `TRUE`.

The element generate messages named `"barcode"`. The structure containes these fields:

- GstClockTime `"timestamp"`: the timestamp of the buffer that triggered the message.

- gchar* `"type"`: the symbol type.

- gchar* `"symbol"`: the deteted bar code data.

- gint `"quality"`: an unscaled, relative quantity: larger values are better than smaller values.

### Example launch lines

    1
    gst-launch -m v4l2src ! ffmpegcolorspace ! zbar ! ffmpegcolorspace ! xvimagesink

This pipeline will detect barcodes and send them as messages.

    1
    gst-launch -m v4l2src ! tee name=t ! queue ! ffmpegcolorspace ! zbar ! fakesink t. ! queue ! xvimagesink

Same as above, but running the filter on a branch to keep the display in color

## Details

### GstZBar

    typedef struct {
    } GstZBar;

Opaque data structure.

## Property Details

### The `"message"` property

      "message"                  gboolean              : Read / Write

Post a barcode message for each detected code.

Default value: TRUE